Bug 1418608 (CVE-2016-10195) - CVE-2016-10195 libevent: Stack-buffer overflow in the name_parse() function
Summary: CVE-2016-10195 libevent: Stack-buffer overflow in the name_parse() function
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-10195
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1418616
Blocks: 1418615
TreeView+ depends on / blocked
 
Reported: 2017-02-02 10:30 UTC by Andrej Nemec
Modified: 2019-09-29 14:05 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in libevent with the parsing of DNS requests and replies. An attacker could send a forged DNS response to an application using libevent which could lead to reading data out of bounds on the heap, potentially disclosing a small amount of application memory.
Clone Of:
Environment:
Last Closed: 2017-03-24 04:59:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1201 normal SHIPPED_LIVE Important: thunderbird security update 2017-05-08 10:45:45 UTC

Description Andrej Nemec 2017-02-02 10:30:38 UTC
A vulnerability was found in libevent. The name_parse() function in libevent's DNS code is vulnerable to a buffer overread.

Upstream bug:

https://github.com/libevent/libevent/issues/317

Upstream patch:

https://github.com/libevent/libevent/commit/96f64a022014a208105ead6c8a7066018449d86d

Comment 1 Andrej Nemec 2017-02-02 10:41:04 UTC
Created libevent tracking bugs for this issue:

Affects: fedora-all [bug 1418616]

Comment 6 errata-xmlrpc 2017-05-08 06:46:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:1201 https://access.redhat.com/errata/RHSA-2017:1201


Note You need to log in before you can comment on or make changes to this bug.